require "logstash/devutils/rspec/spec_helper"
require "logstash/outputs/thetapoint"

describe LogStash::Outputs::ThetaPoint do
  let(:config) { { 'key' => 'lksjdflskdjflskdjflskdj' } }
  let(:event) do  
    LogStash::Outputs::ThetaPoint.new(
      'message' => 'example message',
      'type' => 'event',
      '@timestamp' => Logstash::Timestamp.now)
  end

  context 'when initializing' do
    subject { LogStash::Outputs::ThetaPoint.new(config) }
    
    it 'should register' do
      expect { subject.register }.to_not raise_error
    end

    it 'should have default config values' do
      insist { subject.host } == 'api.theta-point.com'
      insist { subject.port } == 443
      insist { subject.proto } == 'https'
    end

  end

end

# vim: ts=2:sw=2:
